/*
  ==============================================================================

    MyLookAndFeel.h
    Created: 28 Nov 2022 11:20:15am
    Author:  jumpstart

  ==============================================================================
*/

#pragma once

class MyLookAndFeel : public juce::LookAndFeel_V3
{
    static const juce::Typeface::Ptr getOpenSansRegular()
    {
        static auto typeface = juce::Typeface::createSystemTypefaceFor (BinaryData::OpenSansRegular_ttf,
                                                                        BinaryData::OpenSansRegular_ttfSize);
        return typeface;
    }
    static const juce::Typeface::Ptr getOpenSansBold()
    {
        static auto typeface = juce::Typeface::createSystemTypefaceFor (BinaryData::OpenSansBold_ttf,
                                                                        BinaryData::OpenSansBold_ttfSize);
        return typeface;
    }
    
    juce::Typeface::Ptr getTypefaceForFont (const juce::Font& font) override
    {
        if (font.getStyleFlags() == juce::Font::bold)
        {
            return getOpenSansBold();
        }
        
        return getOpenSansRegular();
    }
    
    juce::Font getPopupMenuFont() override
    {
        return juce::Font (25.f);
    }
    
    juce::Font getLabelFont (juce::Label& label) override
    {
        return juce::Font (45.f);
    }
    
    juce::Component* getParentComponentForMenuOptions (const juce::PopupMenu::Options& options) override
    {
        // spawn popup internally
        if (options.getTargetComponent() &&
            options.getTargetComponent()->getParentComponent())
            return options.getTargetComponent()->getParentComponent();
        
        // old behaviour
        return options.getParentComponent();
    }
};
