/*
  ==============================================================================

    This file contains the basic framework code for a JUCE plugin editor.

  ==============================================================================
*/

#pragma once

#include <JuceHeader.h>
#include "PluginProcessor.h"

//==============================================================================
/**
*/
class VanillaTestAudioProcessorEditor  : public juce::AudioProcessorEditor
{
public:
    VanillaTestAudioProcessorEditor (VanillaTestAudioProcessor&);
    ~VanillaTestAudioProcessorEditor() override;

    //==============================================================================
    void paint (juce::Graphics&) override;
    void resized() override;
    void mouseDown (const juce::MouseEvent& e) override;

private:
    juce::PopupMenu myMenu;
    juce::Label myLabel;
    
    // This reference is provided as a quick way for your editor to
    // access the processor object that created it.
    VanillaTestAudioProcessor& audioProcessor;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (VanillaTestAudioProcessorEditor)
};
